/** @file sys_exceptions.c 
*   @brief Non Maskale Interrupt Source File
*   @date 15.March.2011
*   @version 1.00.000
*
*   This file contains:
*   - exception handler
*/

/* (c) Texas Instruments 2011, All rights reserved. */

#include "sys_exceptions.h"



void _NMI(void)			/* Non-maskable Interrupt Handler 	*/
{
/* USER CODE BEGIN (0) */
/* USER CODE END */
for(;;);  /* ... wait here */
}


void _Hard_Fault(void)		/* Hard Fault Handler			*/
{
/* USER CODE BEGIN (1) */
/* USER CODE END */
for(;;);  /* ... wait here */
}


void _Memory_Management(void)	/* MPU mismatch,access violation Handler*/
{
/* USER CODE BEGIN (2) */
/* USER CODE END */
for(;;);  /* ... wait here */
}


void _Bus_Fault(void)		/* Bus Fault Handler 			*/
{
/* USER CODE BEGIN (3) */
/* USER CODE END */
for(;;);  /* ... wait here */
}


void _Usage_Fault(void)		/* Usage Fault Handler 			*/
{
/* USER CODE BEGIN (4) */
/* USER CODE END */
for(;;);  /* ... wait here */
}


void _Reserved(void)		/* Reserved - Not to be used 		*/
{
for(;;);  /* ... wait here */
}


void _SVC_Call(void)		/* System service call Handler		*/
{
/* USER CODE BEGIN (5) */
/* USER CODE END */
for(;;);                        /* ... wait here */
}



void _Debug_Monitor(void)	/* Debug Monitor 			*/
{
/* USER CODE BEGIN (6) */
/* USER CODE END */
for(;;);                        /* ... wait here */
}



void _Pend_SV(void)		/* Pendable request for system service  */
{
/* USER CODE BEGIN (7) */
/* USER CODE END */
for(;;);                        /* ... wait here */
}



void _SYSTICK(void)		/* System Tick Timer Handler 		*/
{
/* USER CODE BEGIN (8) */
/* USER CODE END */
for(;;);                        /* ... wait here */
}


/*- End of sys_exceptions.c --------------------------------------------*/

