/*
 * macros.h
 *
 *  Created on: Jul 29, 2011
 *      Author: csmith
 */

#ifndef MACROS_H_
#define MACROS_H_

#define SET_BITS(word,bits) do{ word = word | (bits); }while(0)
#define CLEAR_BITS(word,bits) do{ word = word & ~(bits); }while(0)
#define SET_CLEAR_BITS(word,sbits,cbits) do{ word = (( word | (sbits)) & ~(cbits)); }while(0)
#define BIT_IS_SET(word, bit) (((word) & (bit))!=0)

// should probably be in a less general file.  More of a "our peripheral code" header.
#define TOGGLE_HET(mask) do{\
	if((hetREG->DSET & (mask)) == 0){ \
		hetREG->DSET = (mask); \
	} else { \
		hetREG->DCLR = (mask); \
	}\
}while(0)

#endif /* MACROS_H_ */
