;-------------------------------------------------------------------------------
;
; (c) Texas Instruments 2011, All rights reserved.
;
; Versions:
; HALCOGEN         
; TICGEN           
;


;-------------------------------------------------------------------------------
; import reference for interrupt routines
;/****************************************************************************/
;/* INTVECS.ASM - Cortex_M3 INTERRUPT VECTORS TABLE SETUP FILE               */
;/****************************************************************************/
   ; .state32

	.global _Stack_Table_Pointer	
	.global _c_int00
 	.global _NMI
 	.global _Hard_Fault
  	.global _Memory_Management
  	.global _Bus_Fault
  	.global _Usage_Fault
  	.global _Reserved
 	.global vPortSVCHandler
  	.global _Debug_Monitor
 	.global xPortPendSVHandler
  	.global xPortSysTickHandler

	.global phantomInterrupt

 
    .sect ".intvecs"

    .word _Stack_Table_Pointer	; Address of the default stack on reset 
	.word _c_int00				; Power-on or warm reset
	.word _NMI					; Non Maskable Interrupt
	.word _Hard_Fault			; Repeated or unhandlable fault
	.word _Memory_Management	; MPU related fault
	.word _Bus_Fault			; Memory address/data related fault
	.word _Usage_Fault			; Undef. instruction or similar fault
	.word _Reserved				; Reserved
	.word _Reserved				; Reserved
	.word _Reserved				; Reserved
	.word _Reserved				; Reserved
	.word vPortSVCHandler				; System call with SVC instruction
	.word _Debug_Monitor		; Non-halting debug monitor
	.word _Reserved				; Reserved
	.word xPortPendSVHandler				; Software pendable service request
	.word xPortSysTickHandler				; System tick timer interrupt
    
    .end


